This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 119655 - Network naming code loses track of existing interfaces
Network naming code loses track of existing interfaces
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 23:38 EST by Alex Kiernan
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.54-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-01 00:05:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix dangling pointer problem (647 bytes, patch)
2004-03-31 23:39 EST, Alex Kiernan
no flags Details | Diff

  None (edit)
Description Alex Kiernan 2004-03-31 23:38:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The scanning code for existing interfaces stores pointers into malloc
()ed memory which is freed prior to being used (crashes if using 
ElectricFence).

In kudzu.c:

  1079                  b = buf = bufFromFd(fd);
...
  1087                                  devname=buf+7;
...
  1097                  tmpdev->dev = devname;
...
  1104                  free(b);

tmpdev->dev is now dangling. Further down its used:

  1117                                  dev->device = strdup(tmpdev-
>dev);

If building with ElectricFence, this crashes, if not, new interfaces 
get created for existing ones.

Version-Release number of selected component (if applicable):
kudzu-1.1.53-1

How reproducible:
Always

Steps to Reproduce:
1.LD_PRELOAD=libefence.so.0.0 kudzu --probe
2.
3.
    

Additional info:

Problem probably doesn't manifest if the various ifcfg- files don't 
have DEVICE and HWADDR lines.
Comment 1 Alex Kiernan 2004-03-31 23:39:57 EST
Created attachment 99027 [details]
Fix dangling pointer problem
Comment 2 Bill Nottingham 2004-04-01 00:05:08 EST
Thanks, will be fixed in 1.1.54-1.

Note You need to log in before you can comment on or make changes to this bug.